<template>
  <div class="parent">
  </div>
</template>
<script>
import { bridge } from "@/utils";
export default {
  data() {
    return {
      msgHight: { height: "calc(100vh)" }
    };
  },
  watch: {
    editFlag: function(val) {
      if (val) {
        this.msgHight = { height: "calc(100vh - 102px)" };
      } else {
        this.msgHight = { height: "calc(100vh - 50px)" };
      }
    }
  },
  computed: {
    linkInfo() {
      return this.$store.state.linkInfo;
    }
  },
  methods: {
    closeAppPage() {
      console.log('关闭页面')
      bridge.closeWindow_c()
    },
    onBrowserBack() {
      this.$router.go(-1);
    }
  },
  mounted() {
    this.$store.commit("setNavBar", {
      show: false,
      title: "信息项目",
      rightText: "",
      leftClick: this.closeAppPage
    });
    // window.location.href = 'https://oa.sphchina.com/mobile/plugin/VerifyLoginForSYKG_mobile.jsp'
    // window.location.href = 'https://oa.sphchina.com:8443'
    window.location.href = 'https://project.shaphar.com/webroot/decision/view/form?op=h5&viewlet=ITSM/INFO_DEPT_MOBILE/信息项目投入详情.frm'
    // window.location.href = this.$route.query.upcomingUrl
    // console.log(this.$route.query.upcomingUrl)
  },
  destroyed() {
    // 当页面销毁必须要移除这个事件，vue不刷新页面，不移除会重复执行这个事件
    window.removeEventListener("popstate", this.onBrowserBack, false);
  }
};
</script>
<style lang="scss" scoped>
html,
body {
  height: 100%;
}
.parent {
  height: 100%;
}
</style>